This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 458746 - Review Request: python-netaddr - Network address manipulation, done Pythonically
Review Request: python-netaddr - Network address manipulation, done Pythonically
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
: 460386 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-11 22:45 EDT by John Eckersberg
Modified: 2008-10-27 00:46 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-13 16:20:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description John Eckersberg 2008-08-11 22:45:02 EDT
Spec URL: http://jeckersb.fedorapeople.org/python-netaddr/python-netaddr.spec
SRPM URL: http://jeckersb.fedorapeople.org/python-netaddr/python-netaddr-0.4-1.fc9.src.rpm
Description:

netaddr is a network address manipulation library written in pure Python.

It supports the Pythonic manipulation of several common network address
notations and standards, including :-

- IP version 4
- IP version 6
- CIDR (Classless Inter-Domain Routing)
- IEEE EUI-48 and EUI-64
- MAC (Media Access Control)
Comment 1 Parag AN(पराग) 2008-08-12 00:16:29 EDT
I see duplication of document files installed. Remove docs/api/* from %docs
update SRPM and SPEC.

Also, You should add tests to %doc but this will make rpmlint to complain spurious-executable-perm warning. For that you should add following line to %prep
chmod 644 tests/*
Comment 2 John Eckersberg 2008-08-12 09:43:35 EDT
(In reply to comment #1)
> I see duplication of document files installed. Remove docs/api/* from %docs
> update SRPM and SPEC.
> 
> Also, You should add tests to %doc but this will make rpmlint to complain
> spurious-executable-perm warning. For that you should add following line to
> %prep
> chmod 644 tests/*

I have removed the duplicate docs, added the tests and fixed the permissions so rpmlint is clean.  Re-uploaded the spec and srpm to the original URLs above.
Comment 3 Parag AN(पराग) 2008-08-13 01:14:53 EDT
Review:
+ package builds in mock.
 Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=774764
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
9f6450c2b868964afea248fa2a2af0f4  netaddr-0.4.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

Suggestions:-
   Kindly make habit of always updating release in SPEC and adding changelog of what changed from last SRPM upload. This will avoid any confusion for reviewer also. you should now add changelog before importing this package to CVS.
APPROVED.
Comment 4 John Eckersberg 2008-08-13 10:01:44 EDT
New Package CVS Request
=======================
Package Name: python-netaddr
Short Description: Network address manipulation, done Pythonically
Owners: jeckersb
Branches: F-8 F-9
InitialCC: 
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-08-13 13:30:37 EDT
cvs done.
Comment 6 John Eckersberg 2008-08-13 16:20:54 EDT
Built in Koji for F-8,9,10.
Comment 7 Parag AN(पराग) 2008-08-27 22:01:15 EDT
*** Bug 460386 has been marked as a duplicate of this bug. ***
Comment 8 John Eckersberg 2008-10-24 13:50:15 EDT
Package Change Request
======================
Package Name: python-netaddr
New Branches: EL-4 EL-5
Owners: jeckersb
Comment 9 Dennis Gilmore 2008-10-27 00:46:28 EDT
CVS Done

Note You need to log in before you can comment on or make changes to this bug.